summaryrefslogtreecommitdiff
path: root/tests/rm/empty-name
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/empty-name')
-rwxr-xr-xtests/rm/empty-name9
1 files changed, 4 insertions, 5 deletions
diff --git a/tests/rm/empty-name b/tests/rm/empty-name
index e20a146af..c9db70a99 100755
--- a/tests/rm/empty-name
+++ b/tests/rm/empty-name
@@ -7,12 +7,11 @@
: ${PERL=perl}
: ${srcdir=.}
-case "$PERL" in
- *'missing perl')
- echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
exit 77
- ;;
-esac
+}
exec $PERL -w -I$srcdir/.. -MFetish -- - << \EOF
require 5.003;